package com.base.biz.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.base.biz.model.entity.SceneBasisTarget;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 目标信息表 Mapper 接口
 * </p>
 *
 * @author cxl
 * @since 2022-02-24
 */
@Mapper
@Repository
public interface SceneBasisTargetMapper extends BaseMapper<SceneBasisTarget> {

    void batch(@Param("list") List<SceneBasisTarget> list);

    SceneBasisTarget getTargetByCode(@Param("code") String code);

    List<SceneBasisTarget> getTargetByCodes(List<String> targetCodes);

}
