package com.base.biz.model.dto.request;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class BaseDmzBaseMsgDTO {

    @ApiModelProperty("主键id")
    private String id;

    @ApiModelProperty("地面站代号")
    private String dmzdh;
    @ApiModelProperty("地面站名称")
    private String dmzmc;
    @ApiModelProperty("资源类型(0/地面站 1/中继星)")
    private String zylx;
    @ApiModelProperty("任务类型")
    private String rwlx;
    @ApiModelProperty("经度")
    private String lon;
    @ApiModelProperty("纬度")
    private String lat;
    @ApiModelProperty("高度")
    private String alt;
    @ApiModelProperty("最小跟踪仰角，默认3度")
    private String zxgzyj;
    @ApiModelProperty("最小接收仰角，默认5度")
    private String zxjsyj;
    @ApiModelProperty("日凌角")
    private String rlj;
    @ApiModelProperty("天线最小接受角")
    private String txzxjsj;

    @ApiModelProperty("基带类型")
    private String jdlx;

    @ApiModelProperty("数传速率")
    private String scsl;

    @ApiModelProperty("中继星能里， 0无， 1一代， 2二代")
    private String zjxnl;

    @ApiModelProperty("操作类型(1-删除 2-修改 3-新增)")
    private String operaType;

    @ApiModelProperty("创建时间")
    private String creatTime;

    @ApiModelProperty("修改时间")
    private String updateTime;
}
