package com.base.biz.model.dto.response;


import com.base.biz.model.dto.PointDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;


@Data
public class SatelliteObserveDTO {


    @ApiModelProperty("主键id")
    private String id;

    @ApiModelProperty("任务编号")
    private String parentId;

    @ApiModelProperty("卫星名称")
    private String satelliteName;

    @ApiModelProperty("目标名称")
    private String targetName;

    @ApiModelProperty("工作模式")
    private String workMode;

    @ApiModelProperty("访问时刻")
    private Date accessTime;

    @ApiModelProperty("条带点集合")
    private List<PointDTO> pointDTOList;
}
