package com.base.biz.model.dto.response;

import com.base.biz.model.PointDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class TargetPointDTO {

    @ApiModelProperty("id")
    private String targetId;

    @ApiModelProperty("目标编码")
    private String targetCode;

    @ApiModelProperty("目标级别")
    private Integer targetLevel;

    @ApiModelProperty("目标名称")
    private String targetName;

    @ApiModelProperty("国家/地区")
    private String countryName;

    @ApiModelProperty("目标类型")
    private String type;

    @ApiModelProperty("优先级")
    private Integer priority;

    @ApiModelProperty("区域点顺序走向")
    private Integer pointDirection;

    @ApiModelProperty("区域点数量")
    private Integer pointCount;

    @ApiModelProperty("目标点集合")
    private List<PointDTO> pointDTOList;
}