package com.base.biz.service.params;

import lombok.Data;

/**
 * 推导输出的轨道六根数实体类
 */
@Data
public class OutputInstanceParam {

    //历元时刻
    private String epochTime;

    //轨道半长轴
    private Double orbitalA;

    //偏心率
    private Double eccentricity;

    //轨道倾角
    private Double inclination;

    //升交点赤经
    private Double lan;

    //近地点辐角
    private Double argumentPerigee;

    //平近点角
    private Double meanAnomaly;

}
