package com.base.plan.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class DatePassTrbutPlanDTO {

    private String stationId;

    private String resourceId;

    private String reqId;

    private String stripId;

    private String satelliteId;

    private String satelliteCode;

    private String stationCode;

    private String stationName;
    @ApiModelProperty("0地面站 1中继")
    private String stationType;
    @ApiModelProperty("0无 1一代中继 2二代中继")
    private String relayType;

    private Date datePassTrbutStartTime;

    private Date datePassTrbutEndTime;

    private String circleNumber;

}
