package com.base.plan.mq.model;

import com.base.orbit.mq.model.BaseHeadMqDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 任务上报/指标下发/任务下发步骤生成的JSON结果文件存放路径消息通知类
 */
@Data
public class FileSavePathMqNoticeDTO {
    @ApiModelProperty("消息头")
    private BaseHeadMqDTO messageHeader;

    @ApiModelProperty("消息体")
    private String body;

    private Category category;

    private String creationTime;

    private String recipient;

    private String messageId;

    private String originator;
}
