package com.base.api.client;

import com.base.api.model.request.PayloadRpcReqDTO;
import com.base.api.model.PayloadRpcDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import java.util.List;

@FeignClient(name = "orbit-base-biz",contextId = "payload")
public interface PayloadRpcService {

    @RequestMapping(value = "/rpc/payload/list",method = RequestMethod.POST)
    public List<PayloadRpcDTO> getPayloadRpcDTOList(@RequestBody PayloadRpcReqDTO req);

    @RequestMapping(value = "/rpc/payload/getAllList",method = RequestMethod.POST)
    public List<PayloadRpcDTO> getAllList();

}
