package com.base.api.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class PointRpcDTO {

    @ApiModelProperty("主键")
    private String id;
    @ApiModelProperty("方向 1 顺时针 2 逆时针")
    private String sort;
    @ApiModelProperty("当前点编号")
    private String serial;
    @ApiModelProperty("经度")
    private String longitude;
    @ApiModelProperty("纬度")
    private String latitude;
    @ApiModelProperty("点类型")
    private String pointType;
    @ApiModelProperty("点类型")
    private String parentId;
    private Date createTime;

    private String parentName;
}
