package com.base.api.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;


@Data
public class TargetDemandRpcDTO {

    @ApiModelProperty("id")
    private String id;
    @ApiModelProperty("目标id")
    private String targetId;
    @ApiModelProperty("目标编号")
    private String targetCode;
    @ApiModelProperty("目标名称")
    private String targetName;
    @ApiModelProperty("观测目的:1,应急侦察")
    private Integer observationPurpose;
    @ApiModelProperty("状态，0：未提交；1：已提交")
    private Integer status;
    @ApiModelProperty("目标类型，0固定目标，1移动目标，2区域目标")
    private Integer type;
    @ApiModelProperty("开始时间")
    private Date startTime;
    @ApiModelProperty("截至时间")
    private Date endTime;
    @ApiModelProperty("优先级")
    private Integer priority;
    @ApiModelProperty("频次")
    private Integer rate;
    @ApiModelProperty("侦察手段")
    private String InvestigativeMeans;
    @ApiModelProperty("卫星ID")
    private String satelliteSelected;
    @ApiModelProperty("唯一标识")
    private String parentId;
    @ApiModelProperty
    List<PointRpcDTO> pointDTOList;
}
