package com.base.biz.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.base.api.model.request.TaskStateNotice;
import com.base.biz.model.dto.request.FzTaskInfoReqDTO;
import com.base.biz.model.dto.request.FzTaskInfoUpdateDTO;
import com.base.biz.model.entity.FzTaskInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface FzTaskInfoMapper extends BaseMapper<FzTaskInfo> {

    List<FzTaskInfo> getFzTaskInfoList(@Param("req") FzTaskInfoReqDTO req);

    void updateTaskInfo(@Param("req") FzTaskInfoUpdateDTO fzTaskInfoUpdateDTO);


    void updateTaskStepState(@Param("req") TaskStateNotice taskStateNotice);
}