package com.base.biz.model.dto.request;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 基础信息:天线信息
 *
 * @author xj
 * @date 2023-05-25
 */
@Data
public class BaseTxBaseMsgDTO {

    @ApiModelProperty("主键id")
    private String id;

    @ApiModelProperty("载波频率")
    private String zbpl;

    @ApiModelProperty("码速率")
    private String msl;

    @ApiModelProperty("接收极化方式")
    private String jsjhfs;

    @ApiModelProperty("接收频段")
    private String jspd;

    @ApiModelProperty("任务最短切换时间")
    private String rwzdqhsj;

    @ApiModelProperty("最小接收仰角（计算使用）")
    private String zxjsyj;

    @ApiModelProperty("最小跟踪仰角")
    private String zxgzyj;

    @ApiModelProperty("地面站GT")
    private String dmzGT;

    @ApiModelProperty("天线口径")
    private String txkj;

    @ApiModelProperty("地面站代号")
    private String sczdh;

    @ApiModelProperty("操作类型(1-删除 2-修改 3-新增)")
    private String operaType;

    @ApiModelProperty("创建时间")
    private String creatTime;

    @ApiModelProperty("修改时间")
    private String updateTime;

}

