package com.base.biz.model.dto.request;

import com.base.biz.model.dto.response.SatelliteIdAndPayloadDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class QueryTargetRelationUpdateDTO {

    @ApiModelProperty("id")
    private String id;

    @ApiModelProperty("观测目的:1,应急侦察")
    private Integer observationPurpose;

    @ApiModelProperty("开始时间")
    private Date startTime;

    @ApiModelProperty("截至时间")
    private Date endTime;

    @ApiModelProperty("优先级")
    private Integer priority;

    @ApiModelProperty("频次")
    private Integer rate;

    @ApiModelProperty("侦察手段")
    private String investigativeMeans;

    @ApiModelProperty("是一个json数组字符串，[{\"satelliteId\":\"QM0103\",\"type\":\"MSS\"}]")
    private List<SatelliteIdAndPayloadDTO> satelliteSelected;

    @ApiModelProperty("父级ID")
    private String parentId;

}
