package com.base.core.model.enity;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 成像卫星访问计算结果
 *
 * @author dhs
 *
 */
@Data
public class ImageAccessData {

	private String satName;
	//	todo 纬度
	private double altitude;
	//	todo 圈号
	private long pass;
	//	todo 访问时刻
	private Date accessTime;
	private Date accessTimeend;
	//	todo utc为世界标准时间
	private String utcAccessTime;
	//	todo 侧摆角（滚动角）
	private double rollAngle;
	//	todo 俯仰角
	private double pitchAngle;
	//	todo 太阳高度角
	private double sunElevation;
	
	private boolean continues = false;

	private List<Eph> ephList;

	private List<SphericalPoint> pointInArea;
	
}
