package com.plan.api.client;

import com.plan.api.model.WindowResourceRpcDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

import java.util.List;

@FeignClient(name = "orbit-base-plan", contextId = "windowResource")
public interface WindowResourceRpcService {

    /**
     * 根据任务id查询资源配置信息
     */
    @PostMapping(value = "/rpc/resource/getWindowResourceInfo")
    public List<WindowResourceRpcDTO> getWindowResourceInfo(List<String> reqIds);

}