package com.base.plan.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class PassDTO {

    @ApiModelProperty("速传Id")
    private String id;
    @ApiModelProperty("窗口Id")
    private String windowId;
    @ApiModelProperty("任务类型，1测控，2接收")
    private Integer passType;
    @ApiModelProperty("卫星编号")
    private String satelliteCode;
    @ApiModelProperty("圈号")
    private String circleNumber;
    @ApiModelProperty("开始时间")
    private Date startTime;
    @ApiModelProperty("时长")
    private String duration;
    @ApiModelProperty("站址")
    private String stationCode;
    @ApiModelProperty("状态")
    private Integer passStatus;
    @ApiModelProperty("是否被使用，1是，2否")
    private Integer isUsed;
    @ApiModelProperty("是否默认，1是，2否")
    private Integer isDefalut;
}
