package com.base.plan.model.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName("step_window_control_pass_relation")
public class StepWindowControlPassRelation {

    @ApiModelProperty("id")
    @TableId
    private Long id;
    @ApiModelProperty("需求id")
    private String stepId;
    @ApiModelProperty("窗口id")
    private String windowId;
    @ApiModelProperty("测控窗口id")
    private String controlStationWindowId;
    @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("修改时间")
    private Date updateTime;
    @ApiModelProperty("是否确认,1未确认 2确认")
    private Integer isConfirm;
}
