package com.base.plan.mq.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.base.api.model.SubPointDataRpcDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class StripInfoMqDTO {
    private String reqId;
    private String targetId;
    private String targetName;
    private String priority;
    private String satelliteId;
    private String satelliteCode;
    private String payloadId;
    private Date observationStartTime;
    private Date observationEndTime;
    private String rollAngle;
    private String trbutId;
    private String createTime;
    private String updateTime;
    @ApiModelProperty("覆盖率")
    private String coverageRate;
    @ApiModelProperty("圈号")
    private String circle;

    private String workMode;

    @ApiModelProperty("区域目标点的parentID")
    private String parentId;

    @ApiModelProperty("星下点")
    private List<SubPointDataRpcDTO> subPointDataRpcDTOS;
}
