package com.base.track.model.entity;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author xj
 * @since 2023-05-17
 */
@Getter
@Setter
@TableName("trbut_antenna_data")
@ApiModel(value = "地面站天线中间实体", description = "")
public class TrbutAntennaData {

    @TableId("id")
    private String id;

    @ApiModelProperty("地面站id")
    private String stationId;

    @ApiModelProperty("天线id")
    private String antennaId;

    @ApiModelProperty("可视化:0-已完成 1-未完成")
    private Integer ident;

    @ApiModelProperty("进出站id")
    private String trbutId;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;


}
